---
sidebar_position: 4
description: Get task time accounting and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get task time accounting
 Get time accounting record data



`Function GetTaskTimeAccounting(Val URL, Val TaskID, Val RecordID, Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | TaskID | --task | String, Number | &#x2714; | Task ID |
  | RecordID | --record | String, Number | &#x2714; | Time record ID |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [task.elapseditem.get](https://dev.1c-bitrix.ru/rest_help/tasks/task/elapseditem/get.php)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL      = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    TaskID   = "9044";
    RecordID = "3328";

    Result = OPI_Bitrix24.GetTaskTimeAccounting(URL, TaskID, RecordID);

    URL      = "b24-ar17wx.bitrix24.by";
    Token    = "6ad03969006e9f06006b12e400000001000...";
    RecordID = "3330";

    Result = OPI_Bitrix24.GetTaskTimeAccounting(URL, TaskID, RecordID, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 GetTaskTimeAccounting \
             --url "b24-ar17wx.bitrix24.by" \
             --task "9054" \
             --record 3334 \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 GetTaskTimeAccounting ^
             --url "b24-ar17wx.bitrix24.by" ^
             --task "9054" ^
             --record 3334 ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": {
  "ID": "3334",
  "TASK_ID": "9054",
  "USER_ID": "10",
  "COMMENT_TEXT": "Time spent on work",
  "SECONDS": "7200",
  "MINUTES": "120",
  "SOURCE": "2",
  "CREATED_DATE": "2025-11-10T16:55:49+00:00",
  "DATE_START": "2025-12-10T19:55:51+00:00",
  "DATE_STOP": "2025-12-10T19:55:51+00:00"
 },
 "time": {
  "start": 1765396556,
  "finish": 1765396556.38644,
  "duration": 0.386435031890869,
  "processing": 0,
  "date_start": "2025-12-10T19:55:56+00:00",
  "date_finish": "2025-12-10T19:55:56+00:00",
  "operating_reset_at": 1765397156,
  "operating": 0
 }
}
```
